<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_374bf250a2cd00d5f5742fea7" . "c487197" => base64_decode("ZG9jdW1lbnRfdGl0bGU" . "="), "_af9f5df6df6e4ab6fd" . "5318e899627078" => base64_decode("ZG9jdW" . "1lbnRf" . "dHlwZQ" . "=="));
use Claromentis\Core\Event\GenericEvent;


class DownloadDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_374bf250a2cd00d" . "5f5742fea7c48719" . "7"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_af9f5df6" . "df6e4ab6f" . "d5318e899" . "627078"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}